Bug 916761 - cmake-2.8.9 update
Summary: cmake-2.8.9 update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: cmake28
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-28 20:45 UTC by Rex Dieter
Modified: 2013-04-13 00:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-13 00:12:59 UTC
Type: Bug


Attachments (Terms of Use)
updated cmake28 patch (22.12 KB, patch)
2013-02-28 20:58 UTC, Rex Dieter
no flags Details | Diff

Description Rex Dieter 2013-02-28 20:45:13 UTC
Working on some stuff that needs cmake-2.8.9, please. :)

Naively bumping to 2.8.9 in the existing 2.8.8 (and removing the upstreamed pkgconfig patch), doesn't build ok for me though, something about bootstrapping and missing ctest

Comment 1 Rex Dieter 2013-02-28 20:58:03 UTC
Created attachment 703997 [details]
updated cmake28 patch

Comment 2 Jonathan Underwood 2013-03-01 18:01:59 UTC
Not sure I follow - are you saying it doesn't build with your patch?

Comment 3 Rex Dieter 2013-03-01 18:41:55 UTC
It *does* build with this updated cmake28 patch (but not with the existing one in cmake/el6 branch now)

Comment 4 Jonathan Underwood 2013-03-04 11:29:55 UTC
For me it filas with the testing:

99% tests passed, 2 tests failed out of 231
Label Time Summary:
Label1    =   0.01 sec
Label2    =   0.01 sec
Total Test time (real) = 112.21 sec
The following tests FAILED:
        145 - CTestGTMCoverage (Not Run)
        146 - CTestCacheCoverage (Not Run)


(building in mock).

Comment 5 Jonathan Underwood 2013-03-04 11:38:58 UTC
Looking at the log, tests 145 and 146 needs patching to look for cmake28 rather than cmake.

Comment 6 Jonathan Underwood 2013-03-04 11:43:09 UTC
I'll revise the patch to fix those test failures. But I do wonder why we're not targetting 2.8.10 - any reason you didn't?

Comment 7 Rex Dieter 2013-03-04 13:29:26 UTC
No reason, I was just initially looking for the minimal version bump to meet my needs, but any newer version is fine too as far as I'm concerned.

Comment 8 Fedora Update System 2013-03-04 15:09:32 UTC
cmake28-2.8.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cmake28-2.8.9-1.el6

Comment 9 Jonathan Underwood 2013-03-04 18:20:38 UTC
I've also built 2.8.10 packages:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5077704

but i'll wait until the 2.8.9 ones are in stable before I push these to testing. I also should cherry pick some of the patches from the Fedora branch for 2.8.10.

Comment 10 Fedora Update System 2013-03-09 19:13:30 UTC
Package cmake28-2.8.9-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cmake28-2.8.9-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0529/cmake28-2.8.9-1.el6
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2013-04-13 00:13:01 UTC
cmake28-2.8.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.